Bug 1478671 - [Patch] Update to latest Git snapshot
[Patch] Update to latest Git snapshot
Status: NEW
Product: Fedora
Classification: Fedora
Component: pwsafe (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 17:39 EDT by Michael Kuhn
Modified: 2017-08-15 04:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to latest Git snapshot (85.67 KB, application/mbox)
2017-08-05 17:39 EDT, Michael Kuhn
no flags Details

  None (edit)
Description Michael Kuhn 2017-08-05 17:39:50 EDT
Created attachment 1309509 [details]
Update to latest Git snapshot

The version of pwsafe in Fedora is pretty old. Even though there has not been any new release, there has been some activity in the official Git repository. The attached patch updates the package to the latest Git snapshot.

The snapshot contains quite a few cleanups and fixes for warnings (see https://github.com/nsd20463/pwsafe/commits/master). It also gets rid of the dependencies on readline and ncurses.

Additionally, the patch cleans up the spec file a bit.
Comment 1 Jan Kurik 2017-08-15 04:14:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.